搜索
查看: 5295|回复: 4

kali2019安装最新版fluxion

  [复制链接]

588

主题

862

帖子

2195

积分

管理员

本论坛第一帅

Rank: 9Rank: 9Rank: 9

积分
2195

热心会员推广达人宣传达人突出贡献优秀版主荣誉管理论坛元老

QQ
发表于 2019-3-17 22:14:26 | 显示全部楼层 |阅读模式


安装

  1. git clone https://www.github.com/FluxionNetwork/fluxion.git
  2. cd fluxion
  3. ./fluxion.sh
复制代码


如图所示,提示部分依赖没有安装,我们执行apt-get install 包名安装即可!

或者直接执行命令
./fluxion.sh -i



即可搞定!


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
有志者,事竟成,破釜沉舟,百二秦关终属楚. 苦心人,天不负, 卧薪尝胆 ,三千越甲可吞吴
回复

使用道具 举报

0

主题

4

帖子

5

积分

新手开车

Rank: 1

积分
5
发表于 2019-4-28 22:44:11 | 显示全部楼层
多谢分享,好好学习中
回复 支持 反对

使用道具 举报

0

主题

5

帖子

7

积分

新手开车

Rank: 1

积分
7
发表于 2019-5-11 20:55:57 来自手机 | 显示全部楼层
学习学习学习学习
回复 支持 反对

使用道具 举报

2

主题

23

帖子

41

积分

vip用户

Rank: 6Rank: 6

积分
41

活跃会员

发表于 2019-6-20 13:26:17 | 显示全部楼层
大家注意最新版的fluxion使用了mdk4  由于Kali linux 在6月的更新中去掉了mdk4,所以运行时会出错 有其是 ./fluxion.sh -i 时候安装会出错,具体解决方法在https://github.com/FluxionNetwork/fluxion/issues/749  内有详细说明 使用mdk3替代 mdk4!!!2019.06.20
回复 支持 反对

使用道具 举报

2

主题

23

帖子

41

积分

vip用户

Rank: 6Rank: 6

积分
41

活跃会员

发表于 2019-6-20 13:27:52 | 显示全部楼层
本帖最后由 mdf3192078 于 2019-6-27 22:38 编辑

问题1、安装Fluxion提示无mdk4。
问题2、mdk4安装以及make不成功。
安装程序:./fluxion -i
安装时会自动下载依赖程序并自动安装。
安装时提示mdk4无法下载原因mdk4不成熟,Kali Linux在2019年6月更新中移除了mdk4.
解决方法:重新下载mdk4并进行安装,但编译及安装mdk4前需要提前安装依赖程序包,否则make编译报错。
安装mdk4依赖包:apt-get install pkg-config libnl-3-dev libnl-genl-3-devlibpcap-dev
下载后make然后再make install
安装完成后再执行安装程序:./fluxion -i
程序会自动下载其他安装包,所有安装包安装完成后Fluxion程序自动启动并工作。
2019.6.27日实验成功
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

温馨提示
1:发帖请遵守《中华人民共和国网络安全法》,发帖内容不得维护国家的、集体的、个人的利益。
2:请勿发布恶意攻击他人的技术文章、工具、和使用教程,发现后删帖处理。
3:本站的目的在于让更多的人了解网络安全,避免受到他人的恶意攻击。
4:本站中的部分文章,可能会出现一些“技术类手段”,但这仅仅为学习演示所用,而非恶意传播技术。
5:本站中的部分文章,可能转载自互联网。如有侵权行为,联系我们删除即可。
6:学习仅是充实头脑,切勿恶意攻击个人、企业等。所造成的法律后果一切由自己承担,本站及其站长概不负责。
我知道了
快速回复 返回顶部 返回列表